#!/usr/bin/perl

use strict;
use warnings;
use VASM::Tree;

local $\ = "\n";

# Not to be confused with my $ek or my $to
my $tree = VASM::Tree->new;

# Store some things
$tree->Store(qw/foo bar baz/, 'nonsense names');
$tree->Store(qw/Brahma Vishnu Shiva/, 'Trimurti');
$tree->Store(qw/monkey god/ , 'Hanuman');
$tree->Store('another', 'thing');
$tree->Store(qw/foo fighters/, [ qw/UFO music/ ]);

# Retrieve an element
print foreach @{ $tree->Retrieve(qw/foo fighters/) };

# Delete everything under 'foo'
$tree->Delete(qw/foo/);

# Children preserve order in which they were inserted
print for $tree->Children;
